{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.Attorney where

--  Valid: 2016-03-21 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Organization
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.LocalBusiness
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.LegalService
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Attorney
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place

-- | Professional service: Attorney.         This type is deprecated - LegalService is more inclusive and less ambiguous.
--
--   [@id@] Attorney
--
--   [@label@] Attorney
--
--   [@comment@] Professional service: Attorney. <br/><br/>        This type is deprecated - <a href=\"http://schema.org/LegalService\">LegalService</a> is more inclusive and less ambiguous.      
--
--   [@ancestors@] @'Thing','Organization','LocalBusiness','LegalService','Attorney','Thing','Place','LocalBusiness','LegalService'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'LegalService'@
--
--   [@url@] <http://schema.org/Attorney>
data Attorney = Attorney { branchCode :: BranchCode
                         , currenciesAccepted :: CurrenciesAccepted
                         , openingHours :: OpeningHours
                         , paymentAccepted :: PaymentAccepted
                         , priceRange :: PriceRange
                         , address :: Address
                         , aggregateRating :: AggregateRating
                         , alumni :: Alumni
                         , areaServed :: AreaServed
                         , award :: Award
                         , brand :: Brand
                         , contactPoint :: ContactPoint
                         , department :: Department
                         , dissolutionDate :: DissolutionDate
                         , duns :: Duns
                         , email :: Email
                         , employee :: Employee
                         , event :: Event
                         , faxNumber :: FaxNumber
                         , founder :: Founder
                         , foundingDate :: FoundingDate
                         , foundingLocation :: FoundingLocation
                         , globalLocationNumber :: GlobalLocationNumber
                         , hasOfferCatalog :: HasOfferCatalog
                         , hasPOS :: HasPOS
                         , isicV4 :: IsicV4
                         , legalName :: LegalName
                         , location :: Location
                         , logo :: Logo
                         , makesOffer :: MakesOffer
                         , member :: Member
                         , memberOf :: MemberOf
                         , naics :: Naics
                         , numberOfEmployees :: NumberOfEmployees
                         , owns :: Owns
                         , parentOrganization :: ParentOrganization
                         , review :: Review
                         , seeks :: Seeks
                         , subOrganization :: SubOrganization
                         , taxID :: TaxID
                         , telephone :: Telephone
                         , vatID :: VatID
                         , additionalProperty :: AdditionalProperty
                         , containedInPlace :: ContainedInPlace
                         , containsPlace :: ContainsPlace
                         , geo :: Geo
                         , hasMap :: HasMap
                         , openingHoursSpecification :: OpeningHoursSpecification
                         , photo :: Photo
                         , additionalType :: AdditionalType
                         , alternateName :: AlternateName
                         , description :: Description
                         , image :: Image
                         , mainEntityOfPage :: MainEntityOfPage
                         , name :: Name
                         , potentialAction :: PotentialAction
                         , sameAs :: SameAs
                         , url :: Url
                         }
                deriving (Show, Read, Eq, Typeable)

instance MetaData Attorney where
  _label         = const "Attorney"
  _comment_plain = const "Professional service: Attorney.         This type is deprecated - LegalService is more inclusive and less ambiguous."
  _comment       = const "Professional service: Attorney. <br/><br/>        This type is deprecated - <a href=\"http://schema.org/LegalService\">LegalService</a> is more inclusive and less ambiguous.      "
  _url           = const "http://schema.org/Attorney"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Organization.Organization)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LegalService.LegalService)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Attorney.Attorney)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LegalService.LegalService)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.LegalService.LegalService)]