{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.BroadcastService where

--  Valid: 2016-03-21 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Intangible
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Service

-- | A delivery service through which content is provided via broadcast over the air or online.
--
--   [@id@] BroadcastService
--
--   [@label@] Broadcast Service
--
--   [@comment@] A delivery service through which content is provided via broadcast over the air or online.
--
--   [@ancestors@] @'Thing','Intangible','Service'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'Service'@
--
--   [@url@] <http://schema.org/BroadcastService>
data BroadcastService = BroadcastService { broadcastAffiliateOf :: BroadcastAffiliateOf
                                         , broadcastDisplayName :: BroadcastDisplayName
                                         , broadcastTimezone :: BroadcastTimezone
                                         , broadcaster :: Broadcaster
                                         , parentService :: ParentService
                                         , videoFormat :: VideoFormat
                                         , aggregateRating :: AggregateRating
                                         , areaServed :: AreaServed
                                         , availableChannel :: AvailableChannel
                                         , award :: Award
                                         , category :: Category
                                         , hasOfferCatalog :: HasOfferCatalog
                                         , hoursAvailable :: HoursAvailable
                                         , offers :: Offers
                                         , provider :: Provider
                                         , providerMobility :: ProviderMobility
                                         , review :: Review
                                         , serviceOutput :: ServiceOutput
                                         , serviceType :: ServiceType
                                         , additionalType :: AdditionalType
                                         , alternateName :: AlternateName
                                         , description :: Description
                                         , image :: Image
                                         , mainEntityOfPage :: MainEntityOfPage
                                         , name :: Name
                                         , potentialAction :: PotentialAction
                                         , sameAs :: SameAs
                                         , url :: Url
                                         }
                        deriving (Show, Read, Eq, Typeable)

instance MetaData BroadcastService where
  _label         = const "Broadcast Service"
  _comment_plain = const "A delivery service through which content is provided via broadcast over the air or online."
  _comment       = const "A delivery service through which content is provided via broadcast over the air or online."
  _url           = const "http://schema.org/BroadcastService"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Intangible.Intangible)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Service.Service)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Service.Service)]