{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.CableOrSatelliteService where

--  Valid: 2016-03-21 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Intangible
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Service

-- | A service which provides access to media programming like TV or radio. Access may be via cable or satellite.
--
--   [@id@] CableOrSatelliteService
--
--   [@label@] Cable or Satellite Service
--
--   [@comment@] A service which provides access to media programming like TV or radio. Access may be via cable or satellite.
--
--   [@ancestors@] @'Thing','Intangible','Service'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'Service'@
--
--   [@url@] <http://schema.org/CableOrSatelliteService>
data CableOrSatelliteService = CableOrSatelliteService { aggregateRating :: AggregateRating
                                                       , areaServed :: AreaServed
                                                       , availableChannel :: AvailableChannel
                                                       , award :: Award
                                                       , category :: Category
                                                       , hasOfferCatalog :: HasOfferCatalog
                                                       , hoursAvailable :: HoursAvailable
                                                       , offers :: Offers
                                                       , provider :: Provider
                                                       , providerMobility :: ProviderMobility
                                                       , review :: Review
                                                       , serviceOutput :: ServiceOutput
                                                       , serviceType :: ServiceType
                                                       , additionalType :: AdditionalType
                                                       , alternateName :: AlternateName
                                                       , description :: Description
                                                       , image :: Image
                                                       , mainEntityOfPage :: MainEntityOfPage
                                                       , name :: Name
                                                       , potentialAction :: PotentialAction
                                                       , sameAs :: SameAs
                                                       , url :: Url
                                                       }
                               deriving (Show, Read, Eq, Typeable)

instance MetaData CableOrSatelliteService where
  _label         = const "Cable or Satellite Service"
  _comment_plain = const "A service which provides access to media programming like TV or radio. Access may be via cable or satellite."
  _comment       = const "A service which provides access to media programming like TV or radio. Access may be via cable or satellite."
  _url           = const "http://schema.org/CableOrSatelliteService"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Intangible.Intangible)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Service.Service)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Service.Service)]