{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.CancelAction where

--  Valid: 2016-03-21 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Action
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.OrganizeAction
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.PlanAction

-- | The act of asserting that a future event/action is no longer going to happen.Related actions:ConfirmAction: The antonym of CancelAction.
--
--   [@id@] CancelAction
--
--   [@label@] Cancel Action
--
--   [@comment@] The act of asserting that a future event/action is no longer going to happen.<p>Related actions:</p><ul><li><a href=\"http://schema.org/ConfirmAction\">ConfirmAction</a>: The antonym of CancelAction</li></ul>.
--
--   [@ancestors@] @'Thing','Action','OrganizeAction','PlanAction'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'PlanAction'@
--
--   [@url@] <http://schema.org/CancelAction>
data CancelAction = CancelAction { scheduledTime :: ScheduledTime
                                 , actionStatus :: ActionStatus
                                 , agent :: Agent
                                 , endTime :: EndTime
                                 , error :: Error
                                 , instrument :: Instrument
                                 , location :: Location
                                 , object :: Object
                                 , participant :: Participant
                                 , result :: Result
                                 , startTime :: StartTime
                                 , target :: Target
                                 , additionalType :: AdditionalType
                                 , alternateName :: AlternateName
                                 , description :: Description
                                 , image :: Image
                                 , mainEntityOfPage :: MainEntityOfPage
                                 , name :: Name
                                 , potentialAction :: PotentialAction
                                 , sameAs :: SameAs
                                 , url :: Url
                                 }
                    deriving (Show, Read, Eq, Typeable)

instance MetaData CancelAction where
  _label         = const "Cancel Action"
  _comment_plain = const "The act of asserting that a future event/action is no longer going to happen.Related actions:ConfirmAction: The antonym of CancelAction."
  _comment       = const "The act of asserting that a future event/action is no longer going to happen.<p>Related actions:</p><ul><li><a href=\"http://schema.org/ConfirmAction\">ConfirmAction</a>: The antonym of CancelAction</li></ul>."
  _url           = const "http://schema.org/CancelAction"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Action.Action)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.OrganizeAction.OrganizeAction)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.PlanAction.PlanAction)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.PlanAction.PlanAction)]