{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.GiveAction where

--  Valid: 2016-03-21 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Data.Typeable

-- | The act of transferring ownership of an object to a destination. Reciprocal of TakeAction.<p>Related actions:</p><ul><li><a href=\"http://schema.org/TakeAction\">TakeAction</a>: Reciprocal of GiveAction.</li><li><a href=\"http://schema.org/SendAction\">SendAction</a>: Unlike SendAction, GiveAction implies that ownership is being transferred (e.g. I may send my laptop to you, but that doesn't mean I'm giving it to you)</li></ul>.

data GiveAction

instance Show GiveAction
instance Read GiveAction
instance Eq GiveAction
instance Typeable GiveAction
instance MetaData GiveAction