{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.LandmarksOrHistoricalBuildings where

--  Valid: 2016-03-21 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place

-- | An historical landmark or building.
--
--   [@id@] LandmarksOrHistoricalBuildings
--
--   [@label@] Landmarks or Historical Buildings
--
--   [@comment@] An historical landmark or building.
--
--   [@ancestors@] @'Thing','Place'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'Place'@
--
--   [@url@] <http://schema.org/LandmarksOrHistoricalBuildings>
data LandmarksOrHistoricalBuildings = LandmarksOrHistoricalBuildings { additionalProperty :: AdditionalProperty
                                                                     , address :: Address
                                                                     , aggregateRating :: AggregateRating
                                                                     , branchCode :: BranchCode
                                                                     , containedInPlace :: ContainedInPlace
                                                                     , containsPlace :: ContainsPlace
                                                                     , event :: Event
                                                                     , faxNumber :: FaxNumber
                                                                     , geo :: Geo
                                                                     , globalLocationNumber :: GlobalLocationNumber
                                                                     , hasMap :: HasMap
                                                                     , isicV4 :: IsicV4
                                                                     , logo :: Logo
                                                                     , openingHoursSpecification :: OpeningHoursSpecification
                                                                     , photo :: Photo
                                                                     , review :: Review
                                                                     , telephone :: Telephone
                                                                     , additionalType :: AdditionalType
                                                                     , alternateName :: AlternateName
                                                                     , description :: Description
                                                                     , image :: Image
                                                                     , mainEntityOfPage :: MainEntityOfPage
                                                                     , name :: Name
                                                                     , potentialAction :: PotentialAction
                                                                     , sameAs :: SameAs
                                                                     , url :: Url
                                                                     }
                                      deriving (Show, Read, Eq, Typeable)

instance MetaData LandmarksOrHistoricalBuildings where
  _label         = const "Landmarks or Historical Buildings"
  _comment_plain = const "An historical landmark or building."
  _comment       = const "An historical landmark or building."
  _url           = const "http://schema.org/LandmarksOrHistoricalBuildings"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)]