{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.MusicAlbumProductionType where

--  Valid: 2016-03-21 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Intangible
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Enumeration

-- | Classification of the album by it's type of content: soundtrack, live album, studio album, etc.
--
--   [@id@] MusicAlbumProductionType
--
--   [@label@] Music Album Production Type
--
--   [@comment@] Classification of the album by it's type of content: soundtrack, live album, studio album, etc.
--
--   [@ancestors@] @'Thing','Intangible','Enumeration'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'Enumeration'@
--
--   [@url@] <http://schema.org/MusicAlbumProductionType>
data MusicAlbumProductionType = MusicAlbumProductionType { supersededBy :: SupersededBy
                                                         , additionalType :: AdditionalType
                                                         , alternateName :: AlternateName
                                                         , description :: Description
                                                         , image :: Image
                                                         , mainEntityOfPage :: MainEntityOfPage
                                                         , name :: Name
                                                         , potentialAction :: PotentialAction
                                                         , sameAs :: SameAs
                                                         , url :: Url
                                                         }
                                deriving (Show, Read, Eq, Typeable)

instance MetaData MusicAlbumProductionType where
  _label         = const "Music Album Production Type"
  _comment_plain = const "Classification of the album by it's type of content: soundtrack, live album, studio album, etc."
  _comment       = const "Classification of the album by it's type of content: soundtrack, live album, studio album, etc."
  _url           = const "http://schema.org/MusicAlbumProductionType"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Intangible.Intangible)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Enumeration.Enumeration)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Enumeration.Enumeration)]