{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.MusicReleaseFormatType where

--  Valid: 2016-03-21 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Intangible
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Enumeration

-- | Format of this release (the type of recording media used, ie. compact disc, digital media, LP, etc.).
--
--   [@id@] MusicReleaseFormatType
--
--   [@label@] Music Release Format Type
--
--   [@comment@] Format of this release (the type of recording media used, ie. compact disc, digital media, LP, etc.).
--
--   [@ancestors@] @'Thing','Intangible','Enumeration'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'Enumeration'@
--
--   [@url@] <http://schema.org/MusicReleaseFormatType>
data MusicReleaseFormatType = MusicReleaseFormatType { supersededBy :: SupersededBy
                                                     , additionalType :: AdditionalType
                                                     , alternateName :: AlternateName
                                                     , description :: Description
                                                     , image :: Image
                                                     , mainEntityOfPage :: MainEntityOfPage
                                                     , name :: Name
                                                     , potentialAction :: PotentialAction
                                                     , sameAs :: SameAs
                                                     , url :: Url
                                                     }
                              deriving (Show, Read, Eq, Typeable)

instance MetaData MusicReleaseFormatType where
  _label         = const "Music Release Format Type"
  _comment_plain = const "Format of this release (the type of recording media used, ie. compact disc, digital media, LP, etc.)."
  _comment       = const "Format of this release (the type of recording media used, ie. compact disc, digital media, LP, etc.)."
  _url           = const "http://schema.org/MusicReleaseFormatType"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Intangible.Intangible)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Enumeration.Enumeration)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Enumeration.Enumeration)]