{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.RoofingContractor where

--  Valid: 2016-03-21 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Organization
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.LocalBusiness
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.HomeAndConstructionBusiness
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.RoofingContractor
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place

-- | A roofing contractor.
--
--   [@id@] RoofingContractor
--
--   [@label@] Roofing Contractor
--
--   [@comment@] A roofing contractor.
--
--   [@ancestors@] @'Thing','Organization','LocalBusiness','HomeAndConstructionBusiness','RoofingContractor','Thing','Place','LocalBusiness','HomeAndConstructionBusiness'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'HomeAndConstructionBusiness'@
--
--   [@url@] <http://schema.org/RoofingContractor>
data RoofingContractor = RoofingContractor { branchCode :: BranchCode
                                           , currenciesAccepted :: CurrenciesAccepted
                                           , openingHours :: OpeningHours
                                           , paymentAccepted :: PaymentAccepted
                                           , priceRange :: PriceRange
                                           , additionalProperty :: AdditionalProperty
                                           , address :: Address
                                           , aggregateRating :: AggregateRating
                                           , containedInPlace :: ContainedInPlace
                                           , containsPlace :: ContainsPlace
                                           , event :: Event
                                           , faxNumber :: FaxNumber
                                           , geo :: Geo
                                           , globalLocationNumber :: GlobalLocationNumber
                                           , hasMap :: HasMap
                                           , isicV4 :: IsicV4
                                           , logo :: Logo
                                           , openingHoursSpecification :: OpeningHoursSpecification
                                           , photo :: Photo
                                           , review :: Review
                                           , telephone :: Telephone
                                           , alumni :: Alumni
                                           , areaServed :: AreaServed
                                           , award :: Award
                                           , brand :: Brand
                                           , contactPoint :: ContactPoint
                                           , department :: Department
                                           , dissolutionDate :: DissolutionDate
                                           , duns :: Duns
                                           , email :: Email
                                           , employee :: Employee
                                           , founder :: Founder
                                           , foundingDate :: FoundingDate
                                           , foundingLocation :: FoundingLocation
                                           , hasOfferCatalog :: HasOfferCatalog
                                           , hasPOS :: HasPOS
                                           , legalName :: LegalName
                                           , location :: Location
                                           , makesOffer :: MakesOffer
                                           , member :: Member
                                           , memberOf :: MemberOf
                                           , naics :: Naics
                                           , numberOfEmployees :: NumberOfEmployees
                                           , owns :: Owns
                                           , parentOrganization :: ParentOrganization
                                           , seeks :: Seeks
                                           , subOrganization :: SubOrganization
                                           , taxID :: TaxID
                                           , vatID :: VatID
                                           , additionalType :: AdditionalType
                                           , alternateName :: AlternateName
                                           , description :: Description
                                           , image :: Image
                                           , mainEntityOfPage :: MainEntityOfPage
                                           , name :: Name
                                           , potentialAction :: PotentialAction
                                           , sameAs :: SameAs
                                           , url :: Url
                                           }
                         deriving (Show, Read, Eq, Typeable)

instance MetaData RoofingContractor where
  _label         = const "Roofing Contractor"
  _comment_plain = const "A roofing contractor."
  _comment       = const "A roofing contractor."
  _url           = const "http://schema.org/RoofingContractor"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Organization.Organization)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.HomeAndConstructionBusiness.HomeAndConstructionBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.RoofingContractor.RoofingContractor)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.HomeAndConstructionBusiness.HomeAndConstructionBusiness)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.HomeAndConstructionBusiness.HomeAndConstructionBusiness)]