{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.Synagogue where

--  Valid: 2016-03-21 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.CivicStructure
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.PlaceOfWorship

-- | A synagogue.
--
--   [@id@] Synagogue
--
--   [@label@] Synagogue
--
--   [@comment@] A synagogue.
--
--   [@ancestors@] @'Thing','Place','CivicStructure','PlaceOfWorship'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'PlaceOfWorship'@
--
--   [@url@] <http://schema.org/Synagogue>
data Synagogue = Synagogue { openingHours :: OpeningHours
                           , additionalProperty :: AdditionalProperty
                           , address :: Address
                           , aggregateRating :: AggregateRating
                           , branchCode :: BranchCode
                           , containedInPlace :: ContainedInPlace
                           , containsPlace :: ContainsPlace
                           , event :: Event
                           , faxNumber :: FaxNumber
                           , geo :: Geo
                           , globalLocationNumber :: GlobalLocationNumber
                           , hasMap :: HasMap
                           , isicV4 :: IsicV4
                           , logo :: Logo
                           , openingHoursSpecification :: OpeningHoursSpecification
                           , photo :: Photo
                           , review :: Review
                           , telephone :: Telephone
                           , additionalType :: AdditionalType
                           , alternateName :: AlternateName
                           , description :: Description
                           , image :: Image
                           , mainEntityOfPage :: MainEntityOfPage
                           , name :: Name
                           , potentialAction :: PotentialAction
                           , sameAs :: SameAs
                           , url :: Url
                           }
                 deriving (Show, Read, Eq, Typeable)

instance MetaData Synagogue where
  _label         = const "Synagogue"
  _comment_plain = const "A synagogue."
  _comment       = const "A synagogue."
  _url           = const "http://schema.org/Synagogue"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.CivicStructure.CivicStructure)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.PlaceOfWorship.PlaceOfWorship)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.PlaceOfWorship.PlaceOfWorship)]